%define momorel 1

Summary: A privileged helper for utmp/wtmp updates.
Name: utempter
Version: 0.5.5
Release: %{momorel}m
License: MIT/X or LGPL
Group: System Environment/Base
Source: utempter-%{version}.tar.gz
Prereq: shadow-utils, glibc, fileutils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Utempter is a utility which allows some non-privileged programs to
have required root access without compromising system
security. Utempter accomplishes this feat by acting as a buffer
between root and the programs.

%prep
%setup  -q

%build
%make RPM_OPT_FLAGS="%{optflags}"

%install
%__rm -rf %{buildroot}
%define _makeinstall_args %nil
%makeinstall PREFIX=%{buildroot} LIBDIR=%{_libdir}

%clean
%__rm -rf %{buildroot}

%pre 
/usr/sbin/groupadd -g 22 -r -f utmp

%post
/sbin/ldconfig

if [ -f /var/log/wtmp ]; then
    chown root:utmp /var/log/wtmp
    chmod 664 /var/log/wtmp
fi

if [ -f /var/run/utmp ]; then
    chown root:utmp /var/run/utmp
    chmod 664 /var/run/utmp
fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%attr(02755, root, utmp) /usr/sbin/utempter
%doc COPYING
%{_libdir}/libutempter.so*
%{_includedir}/utempter.h

%ChangeLog
* Thu May 27 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.5.5-1m)
- update to 0.5.5
- [SECURITY] Fix CAN-2004-0233 utempter directory traversal symlink attack
  issue for immediate erratum release.
- Use ':' instead of '.' as separator for chown.
- revise %%postun

* Sun Aug  3 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.5.3-1m)
- update to 0.5.3
- Updated license field to reflect dual license MIT style + LGPL
- use %%{momorel} macro
- remove %%define version
- use %%make, %%makeinstall, %%__rm, %%{_libdir}, %%{_includedir}
- %%install section - RawHide (0.5.3-2)

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.5.2-8k)
- Prereq: /usr/sbin/groupadd -> shdow-utils
- Prereq: /sbin/ldconfig     -> glibc

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Sun Apr 09 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (0.5.2-2).

* Thu Feb 24 2000 Erik Troan <ewt@redhat.com>
- added LGPL notice

* Fri Dec 10 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip utempter

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- add utmp as group 22

* Fri Jun  4 1999 Jeff Johnson <jbj@redhat.com>
- ignore SIGCHLD while processing utmp.
